# VTypes.js

    /**
     * @class Ext.form.VTypes
     * Overrideable validation definitions. The validations provided are basic and intended to be easily customizable and extended.
     * @singleton
     */
    Ext.form.VTypes = function(){
        // closure these in so they are only created once.
        var alpha = /^[a-zA-Z_]+$/;
        var alphanum = /^[a-zA-Z0-9_]+$/;
        var email = /^([\w]+)(.[\w]+)*@([\w-]+\.){1,5}([A-Za-z]){2,4}$/;
        var url = /(((https?)|(ftp)):\/\/([\-\w]+\.)+\w{2,3}(\/[%\-\w]+(\.\w{2,})?)*(([\w\-\.\?\\\/+@&#;`~=%!]*)(\.\w{2,})?)*\/?)/i;

        // All these messages and functions are configurable
        return {
            /**
             * The function used to validate email addresses
             * @param {String} value The email address
             */
            'email' : function(v){
                return email.test(v);
            },
            /**
             * The error text to display when the email validation function returns false
             * @type String
             */
            'emailText' : 'This field should be an e-mail address in the format "user@domain.com"',
            /**
             * The keystroke filter mask to be applied on email input
             * @type RegExp
             */
            'emailMask' : /[a-z0-9_\.\-@]/i,

            /**
             * The function used to validate urls
             * @param {String} value The url
             */
            'url' : function(v){
                return url.test(v);
            },
            /**
             * The error text to display when the url validation function returns false
             * @type String
             */
            'urlText' : 'This field should be a URL in the format "http:/'+'/www.domain.com"',

            /**
             * The function used to validate alpha values
             * @param {String} value The value
             */
            'alpha' : function(v){
                return alpha.test(v);
            },
            /**
             * The error text to display when the alpha validation function returns false
             * @type String
             */
            'alphaText' : 'This field should only contain letters and _',
            /**
             * The keystroke filter mask to be applied on alpha input
             * @type RegExp
             */
            'alphaMask' : /[a-z_]/i,

            /**
             * The function used to validate alphanumeric values
             * @param {String} value The value
             */
            'alphanum' : function(v){
                return alphanum.test(v);
            },
            /**
             * The error text to display when the alphanumeric validation function returns false
             * @type String
             */
            'alphanumText' : 'This field should only contain letters, numbers and _',
            /**
             * The keystroke filter mask to be applied on alphanumeric input
             * @type RegExp
             */
            'alphanumMask' : /[a-z0-9_]/i
        };
    }();

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.